import bpy
        
from . import Operator

bl_info = {
    "name": "Smooth Edge Loop",
    "description": "Smooth selected EdgeLoop of (preferably convex) Mesh -- [select at least 1 Vertex on the Mesh]",
    "author": "guy lateur",
    "version": (0, 1, 0),
    "blender": (2, 7, 7),
    "location": "VIEW3D > ADD > Mesh",
    "warning": "WIP",
    "category": "Add Mesh"}
    
def menu_func(self, context):
    self.layout.separator()
    self.layout.operator("mesh.smooth_edge_loop", text="Smooth Edge Loop", icon="OUTLINER_OB_MESH")
    
def register():
    bpy.utils.register_module(__name__)

    bpy.types.INFO_MT_mesh_add.append(menu_func)

def unregister():
    bpy.types.INFO_MT_mesh_add.remove(menu_func)

    bpy.utils.unregister_module(__name__)

if __name__ == "__main__":
    register()
